> For the complete documentation index, see [llms.txt](https://docs.akamas.io/akamas-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.akamas.io/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/aws-provider/create-aws-provider-instances.md).

# Create AWS telemetry instances

To create an instance of the CSV provider, build a YAML file (`instance.yml` in this example) with the definition of the instance:

```yaml
# AWS Telemetry Instance
provider: AWS
config:
  accessKeyId: access_key_id
  secretAccessKey: secret_access_key
```

Then you can create the instance for the `aws-system` using the Akamas CLI:

```bash
akamas create telemetry-instance instance.yml aws-system
```

### Configuration options <a href="#configuration-options" id="configuration-options"></a>

When you create an instance of the AWS provider, you should specify some configuration information to allow the provider to correctly extract and process metrics from your CSV files.

You can specify configuration information within the `config` part of the YAML of the instance definition.

#### Required properties <a href="#required-properties" id="required-properties"></a>

* `accessKeyId` - the access key id of your chosen IAM use
* `secretAccessKey` - the secret access key of your chosen IAM user

### Telemetry instance reference <a href="#telemetry-instance-reference" id="telemetry-instance-reference"></a>

The following represents the complete configuration reference for the telemetry provider instance.

```yaml
provider: AWS                                # This is an instance of the AWS provider
config:
  accessKeyId: access_key_id                 # The access key id of your IAM user
  secretAccessKey: secret_access_key         # The secret access key of your IAM user
```

Then you can create the instance for the `aws-system` using the Akamas CLI:

```
akamas create telemetry-instance instance.yml aws-system
```

### Configuration options <a href="#configuration-options" id="configuration-options"></a>

When you create an instance of the AWS provider, you should specify some configuration information to allow the provider to correctly extract and process metrics from your CSV files.

You can specify configuration information within the `config` part of the YAML of the instance definition.

#### Required properties <a href="#required-properties" id="required-properties"></a>

* `accessKeyId` - the access key id of your chosen IAM use
* `secretAccessKey` - the secret access key of your chosen IAM user

### Telemetry instance reference <a href="#telemetry-instance-reference" id="telemetry-instance-reference"></a>

The following YAML file represents a template to define the telemetry provider instance.

```yaml
provider: AWS                                # This is an instance of the AWS provider
config:
  accessKeyId: access_key_id                 # The access key id of your IAM user
  secretAccessKey: secret_access_key         # The secret access key of your IAM user
```

The following table describes the configuration reference for the `config` section

| Field             | Type   | Description                                   | Default Value | Restrictions          | Required |
| ----------------- | ------ | --------------------------------------------- | ------------- | --------------------- | -------- |
| `accessKeyId`     | String | The access key id of your chosen IAM user     |               | Valid IAM credentials | Yes      |
| `secretAccessKey` | String | The secret access key of your chosen IAM user |               | Valid IAM credentials | Yes      |


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.akamas.io/akamas-docs/3.5.0/integrating/integrating-telemetry-providers/aws-provider/create-aws-provider-instances.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
